|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QMutex

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QMutex class reference

### Public Functions

- QMutex ( bool recursive )
- bool locked ()

## Member Function Documentation

### QMutex::QMutex ( bool recursive )

Use the constructor that takes a RecursionMode parameter instead.

### bool QMutex::locked ()

Returns true if the mutex is locked by another thread; otherwise returns false.

It is generally a bad idea to use this function, because code that uses it has a race condition. Use tryLock() and unlock() instead.

For example, if you have code like

     bool isLocked = mutex.locked();

you can rewrite it as

     bool isLocked = true;
     if (mutex.tryLock()) {
         mutex.unlock();
         isLocked = false;
     }